Loading...
Searching...
No Matches
InternalNode< _ChildNodeType, Log2Dim >::TopologyCopy2< OtherInternalNode > Struct Template Reference

`#include <openvdb/tree/InternalNode.h>`

## Public Member Functions

| TopologyCopy2 (const OtherInternalNode *source, InternalNode *target, const ValueType &offValue, const ValueType &onValue)
void | operator() (const tbb::blocked_range< Index > &r) const

## Public Attributes

const OtherInternalNode * | s
InternalNode * | t
const ValueType & | offV
const ValueType & | onV

## Constructor & Destructor Documentation

## TopologyCopy2()

template<typename _ChildNodeType , Index Log2Dim>
template<typename OtherInternalNode >

TopologyCopy2 | ( | const OtherInternalNode * | source,
|  | InternalNode * | target,
|  | const ValueType & | offValue,
|  | const ValueType & | onValue )

inline

## Member Function Documentation

## operator()()

template<typename _ChildNodeType , Index Log2Dim>
template<typename OtherInternalNode >

void operator() | ( | const tbb::blocked_range< Index > & | r | ) | const

inline

## Member Data Documentation

## offV

template<typename _ChildNodeType , Index Log2Dim>
template<typename OtherInternalNode >

const ValueType& offV

## onV

template<typename _ChildNodeType , Index Log2Dim>
template<typename OtherInternalNode >

const ValueType & onV

## s

template<typename _ChildNodeType , Index Log2Dim>
template<typename OtherInternalNode >

const OtherInternalNode* s

## t

template<typename _ChildNodeType , Index Log2Dim>
template<typename OtherInternalNode >

InternalNode* t